/*
 * Class WEL_TEXT_RANGE
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_773 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_773 [] = {0xFF01,1551,772,0xFFFF};
static const EIF_TYPE_INDEX egt_2_773 [] = {0xFF01,772,0xFFFF};
static const EIF_TYPE_INDEX egt_3_773 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_773 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_773 [] = {0xFF01,772,0xFFFF};
static const EIF_TYPE_INDEX egt_6_773 [] = {0xFF01,772,0xFFFF};
static const EIF_TYPE_INDEX egt_7_773 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_773 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_773 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_773 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_773 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_773 [] = {0xFF01,772,0xFFFF};
static const EIF_TYPE_INDEX egt_13_773 [] = {0xFF01,816,0xFFFF};
static const EIF_TYPE_INDEX egt_14_773 [] = {0xFF01,619,0xFFFF};


static const struct desc_info desc_773[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_773), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_773), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17573, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_773), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17572, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_773), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_773), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_773), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_773), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_773), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_773), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_773), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_773), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_773), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0609 /*772*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_773), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17169, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16092, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17161, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17162, 12},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17163, 8},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17164, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17165, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17166, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17167, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17168, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17577, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17170, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17571, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17574, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17575, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17576, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18117, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17578, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17579, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17580, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17581, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17582, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18113, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_773), 18114, 0},
	{EIF_GENERIC(egt_14_773), 18115, 4},
	{EIF_GENERIC(NULL), 18116, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18118, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18119, 0xFFFFFFFF},
};
void Init773(void)
{
	IDSC(desc_773, 0, 772);
	IDSC(desc_773 + 1, 1, 772);
	IDSC(desc_773 + 32, 791, 772);
	IDSC(desc_773 + 34, 1359, 772);
	IDSC(desc_773 + 44, 1308, 772);
	IDSC(desc_773 + 54, 1101, 772);
}


#ifdef __cplusplus
}
#endif
